com.strongloop.android.loopback

## Class BeanUtil

- java.lang.Object
- - com.strongloop.android.loopback.BeanUtil

    public class BeanUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BeanUtil()`

### Method Summary

Methods
`static java.util.Map<java.lang.String,java.lang.Object>` `getProperties(java.lang.Object object, boolean includeSuperClasses, boolean deepCopy)`
`static void` `setProperties(java.lang.Object object, java.util.Map<java.lang.String,? extends java.lang.Object> properties, boolean includeSuperClasses)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanUtil

    public BeanUtil()

### Method Detail

#### setProperties

    public static void setProperties(java.lang.Object object,
                     java.util.Map<java.lang.String,? extends java.lang.Object> properties,
                     boolean includeSuperClasses)

#### getProperties

    public static java.util.Map<java.lang.String,java.lang.Object> getProperties(java.lang.Object object,
                                                                 boolean includeSuperClasses,
                                                                 boolean deepCopy)